detekt-api
1.21.0-RC2

# Companion

object Companion
Content copied to clipboard

## Functions

from
Link copied to clipboard
fun from (element: PsiElement, offset: Int = 0): Location
Content copied to clipboard

Creates a Location from a PsiElement. If the element can't be determined, the KtFile with a character offset can be used.

startLineAndColumn
Link copied to clipboard
fun startLineAndColumn (element: PsiElement, offset: Int = 0): PsiDiagnosticUtils.LineAndColumn
Content copied to clipboard

Determines the line and column of a PsiElement in the source file.